Set default context
PUT
/api/v1/auth/default-context
const url = 'https://example.com/api/v1/auth/default-context';const options = { method: 'PUT', headers: { cookie: 'ttx_access_token=<ttx_access_token>', 'X-CSRF-Token': '<X-CSRF-Token>', 'Content-Type': 'application/json' }, body: '{"organization_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","role":"program_manager","ttx_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/auth/default-context \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: <X-CSRF-Token>' \ --cookie ttx_access_token=<ttx_access_token> \ --data '{ "organization_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "role": "program_manager", "ttx_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Set the organization, exercise and role the caller lands on.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}